osl::DirectionTraitsGen< DR > Struct Reference

`#include <directionTraits.h>`

## Static Public Attributes

static const int | blackDx =-1
static const int | blackDy =1
static const bool | canPromoteTo =false
static const Direction | altDir =UL
static const Direction | longDir =LONG_DR
static const Direction | primDir =UL
static const int | ptypeMask

## Detailed Description

Definition at line 99 of file directionTraits.h.

## Member Data Documentation

## altDir

const Direction osl::DirectionTraitsGen< DR >::altDir =UL

static

Definition at line 103 of file directionTraits.h.

## blackDx

const int osl::DirectionTraitsGen< DR >::blackDx =-1

static

Definition at line 100 of file directionTraits.h.

## blackDy

const int osl::DirectionTraitsGen< DR >::blackDy =1

static

Definition at line 101 of file directionTraits.h.

## canPromoteTo

const bool osl::DirectionTraitsGen< DR >::canPromoteTo =false

static

Definition at line 102 of file directionTraits.h.

## longDir

const Direction osl::DirectionTraitsGen< DR >::longDir =LONG_DR

static

Definition at line 104 of file directionTraits.h.

## primDir

const Direction osl::DirectionTraitsGen< DR >::primDir =UL

static

Definition at line 105 of file directionTraits.h.

## ptypeMask

const int osl::DirectionTraitsGen< DR >::ptypeMask

static

Initial value:
=
(1<<PBISHOP)|(1<<PROOK)|(1<<KING)|(1<<SILVER)|(1<<BISHOP)
osl::BISHOP
@ BISHOP
Definition basic_type.h:99
osl::PROOK
@ PROOK
Definition basic_type.h:92
osl::KING
@ KING
Definition basic_type.h:93
osl::SILVER
@ SILVER
Definition basic_type.h:98
osl::PBISHOP
@ PBISHOP
Definition basic_type.h:91

Definition at line 106 of file directionTraits.h.

The documentation for this struct was generated from the following file:

- directionTraits.h